Loading...
Searching...
No Matches
StretchBend.h File Reference
`#include <RDGeneral/export.h>`
`#include <utility>`
`#include <vector>`
`#include <ForceField/Contrib.h>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::StretchBendContrib
| The angle-bend term for MMFF. More...

## Namespaces

namespace | ForceFields
namespace | ForceFields::MMFF
namespace | ForceFields::MMFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT std::pair< double, double > | ForceFields::MMFF::Utils::calcStbnForceConstants (const MMFFStbn *mmffStbnParams)
| returns the std::pair of stretch-bend force constants for an angle
RDKIT_FORCEFIELD_EXPORT std::pair< double, double > | ForceFields::MMFF::Utils::calcStretchBendEnergy (const double deltaDist1, const double deltaDist2, const double deltaTheta, const std::pair< double, double > forceConstants)
| calculates and returns the stretch-bending MMFF energy